/****************************************************************************
 **
 ** Copyright (C) 2010 Arzel Jrme <myst6re@gmail.com>
 **
 ** This program is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ****************************************************************************/

#ifndef CONFIG_H
#define CONFIG_H

#include <QtCore>
#include "Parametres.h"

class Config
{
public:
	static QString value(const QString &key, const QString &defaultValue=QString());
	static QVariant valueVar(const QString &key, const QVariant &defaultValue=QVariant());
	static void setValue(const QString &key, const QVariant &value);
	static quint32 sec(const quint32 &time, const int freq_value);
	static quint32 min(const quint32 &time, const int freq_value);
	static quint32 hour(const quint32 &time, const int freq_value);
	static quint32 time(const quint32 &hour, const quint32 &min, const quint32 &sec, const int freq_value);
	static bool mode();
	static int freq(const int freq_value=0);
	static bool freq_auto();
	static void loadRecentFiles();
	static void addRecentFile(const QString &path);
	static QString recentFile(const uint &index);
	static bool hasRecentFiles();
	static int recentFilesSize();
	static void saveRecentFiles();
	static void set();
	static QString ff8Path();
private:
	static QString _ff8Path;
	static QSettings *settings;
	static QStringList recentFiles;
};

#endif // CONFIG_H
