/****************************************************************************
 **
 ** Copyright (C) 2010 Arzel Jrme <myst6re@gmail.com>
 **
 ** This program is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ****************************************************************************/

#ifndef DEF_DATA
#define DEF_DATA

#include <QtCore>
#include <QComboBox>

class Data
{
public:
	static void load();

	static QString currentPath;

	static const quint8 apsTab[116];
	static const quint8 innateAbilities[16][22];
	static const int cardsLocation[256];
	static QStringList abilities;
	static QStringList magic;
	static QStringList items;
	static QStringList locations;
	static QStringList weapons;
	static QStringList names;
	static QStringList gfnames;
	static QStringList cards;
	static QStringList zellLB;
	static QStringList irvineLB;
	static QStringList quistisLB;
	static QStringList linoaLB;

	static void fillAbilities(QComboBox *comboBox);
	static qint8 abilityType(quint8 abilityID);
	static quint8 itemType(quint8 itemID);
};

#endif
