/****************************************************************************
 **
 ** Copyright (C) 2010 Arzel Jrme <myst6re@gmail.com>
 **
 ** This program is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ****************************************************************************/

#ifndef DEF_FF8TEXT
#define DEF_FF8TEXT

#include <QtCore>
#include <QPainter>
#include "Data.h"
#include "Config.h"

class FF8Text
{
public:
	static QString toUnicode(QString ff8str);
	static QByteArray textToff8(QString string);
	static char charFromff8(char comp);

	static void textToPixmap(QPainter *painter, QPoint point, QString string);
	static QByteArray numToBiosText(quint32 num, quint8 width=0);

private:
	static void toPixmap(QPainter *painter, QPoint point, QByteArray ff8str);

	static const char *caract[256];
	static const quint8 width[195];
};

#endif
