/****************************************************************************
 **
 ** Copyright (C) 2010 Arzel Jrme <myst6re@gmail.com>
 **
 ** This program is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ****************************************************************************/

#include "CWEditor.h"

CWEditor::CWEditor(QWidget *parent) : QWidget(parent)
{
	buildWidget();
}

void CWEditor::load(MAIN *data, HEADER *descData)
{
	this->data = data;
	this->descData = descData;
	fillPage();
}

void CWEditor::buildWidget()
{
	bokoE = new QLineEdit(this);
	bokoE->setMaxLength(11);

	QLabel *bokoPix = new QLabel(this);
	bokoPix->setPixmap(QPixmap(":/images/icons/perso14.png"));

	/*QFont font;
	font.setPointSize(10);
	cwE_model = new QStandardItemModel(this);
	cwE_view = new QTreeView(this);
	cwE_view->setModel(cwE_model);
	cwE_view->setEditTriggers(QAbstractItemView::DoubleClicked);
	cwE_view->setFont(font);
	cwE_view->setItemDelegate(new SpinBoxDelegate(this));
	cwE_view->setIndentation(0);
	cwE_view->setItemsExpandable(false);*/

	QGridLayout *grid = new QGridLayout(this);
	grid->addWidget(new QLabel(Data::names.at(14)+tr(" :"),this), 1, 0);
	grid->addWidget(bokoE, 1, 1);
	grid->addWidget(bokoPix, 2, 0, 1, 2, Qt::AlignLeft);
//	grid->addWidget(cwE_view, 2, 0, 1, 2);
	grid->setRowStretch(3, 1);
}

void CWEditor::fillPage()
{
	bokoE->setText(FF8Text::toUnicode(descData->boko));

	/*quint8 itemID;
	QStandardItem *standardItem;

	cwE_model->clear();

	cwE_model->setHorizontalHeaderLabels(QStringList() << tr("Pos") << tr("Valeur"));
	int sizeofcw = sizeof(data->chocobo);
	quint8 cw_cursor[sizeofcw];
	memcpy(cw_cursor, &(data->chocobo), sizeofcw);

	for(int i=0 ; i<sizeofcw ; ++i)
	{
		itemID = data->objets.items[i] & 0xFF;

		QList<QStandardItem *> items;
		standardItem = new QStandardItem(QString("%1 (%2)").arg(i, 2, 16, QChar('0')).arg(i, 3, 10, QChar('0')));
		standardItem->setEditable(false);
		items << standardItem;
		standardItem = new QStandardItem(QString::number((quint8)cw_cursor[i]));
		standardItem->setData(0, Qt::UserRole);
		items << standardItem;
		cwE_model->appendRow(items);
	}

	cwE_view->setColumnWidth(0, 572);*/
}

void CWEditor::savePage()
{
	memcpy(&descData->boko, FF8Text::textToff8(bokoE->text()).leftJustified(12, '\x00', true).constData(), 12);

	/*int sizeofcw = sizeof(data->chocobo);
	quint8 cw_cursor[sizeofcw];
	memcpy(cw_cursor, &(data->chocobo), sizeofcw);

	for(int i=0 ; i<sizeofcw ; ++i)
	{
		cw_cursor[i] = (quint8)cwE_model->item(i, 1)->text().toUInt();
	}

	memcpy(&(data->chocobo), cw_cursor, sizeofcw);*/
}
