/****************************************************************************
 **
 ** Copyright (C) 2010 Arzel Jrme <myst6re@gmail.com>
 **
 ** This program is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ****************************************************************************/

#ifndef DEF_CONFIGEDITOR
#define DEF_CONFIGEDITOR

#include <QtGui>
#include "FF8Text.h"
#include "Data.h"
#include "Config.h"
#include "SaveData.h"

class ConfigEditor : public QWidget
{
	Q_OBJECT
public:
	ConfigEditor(QWidget *parent=0);
	void load(MAIN *data);
	void updateMode();
	void savePage();

private slots:
	void joystickS();
	void touchesDefault();

private:
	void buildWidget();
	void fillPage();
	void setJoystickLbl();

	MAIN *data;

	QRadioButton *son1E, *son2E;
	QRadioButton *pointeur1E, *pointeur2E;
	QRadioButton *ATB1E, *ATB2E;
	QRadioButton *scan1E, *scan2E;
	QRadioButton *vibration1E, *vibration2E;
	QSlider *cameraE, *vts_combatE;
	QSlider *vts_msg_combatE, *vts_msgE;
	QSpinBox *analog_volumeE;
	QList<QSpinBox *> touchesE;
	QLabel *joystickLbl;
	QGroupBox *manetteGroupE, *inconnuGroupE;
	QCheckBox *inconnu1E, *inconnu2E;
};

#endif
