/****************************************************************************
 **
 ** Copyright (C) 2010 Arzel Jrme <myst6re@gmail.com>
 **
 ** This program is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ****************************************************************************/

#ifndef DEF_GFEDITOR
#define DEF_GFEDITOR

#include <QtGui>
#include "FF8Text.h"
#include "Data.h"
#include "Config.h"
#include "SaveData.h"

class GfEditor : public QWidget
{
	Q_OBJECT
public:
	GfEditor(QWidget *parent=0);
	void load(MAIN *data);
	void updateMode();
	void savePage();

private slots:
	void remove_C();
	void add_C();
	void edit_C(QTreeWidgetItem *);
	void edit_C();
	void restore_C();
	void enableButtons();
	void enableButtons2();
	void changeExp(double);
	void changeNiv(int);
	void changeCapacity(int);
	void addCapacity();
	void changeAPs(int);
	void fullAPs();
	void changeLearning();

	void fillPage(int row=0);

private:
	void buildWidget();
	QWidget *buildPage1();
	QWidget *buildPage2();
	qint8 posAbility(quint8);
	void setCompleteAbility(quint8, bool);
	bool getCompleteAbility(quint8);

	quint16 nivSup;
	quint8 id;
	MAIN *data;
	GFORCES *gf_data;
	
	QTreeWidgetItem *addItem(quint8, quint8, quint8=0);

	QListWidget *gfListe;
	QStackedWidget *stackedWidget;

	QCheckBox *existsE;
	QLineEdit *nameEdit;
	QSpinBox *hpEdit;
	QDoubleSpinBox *expEdit;
	QSpinBox *nivEdit;
	QSpinBox *APsEdit;
	QSpinBox *killsEdit;
	QSpinBox *KOsEdit;
	QLabel *inconnu1_labelE;
	QSpinBox *inconnu1_E;
	QLabel *APsMax;
	QPushButton *okC;
	QPushButton *fullButton;
	QTreeWidget *liste;
	QTreeWidget *liste2;
	QPushButton *addC;
	QPushButton *removeC;
	QPushButton *editC;
	QPushButton *learnC;
	QPushButton *restoreF;
	QComboBox *selection;

	QLineEdit *cronosE;
	QCheckBox *odinE, *gilgameshE, *phoenixE;
	QSpinBox *tombyE, *tombySrE;
};

#endif
