/****************************************************************************
 **
 ** Copyright (C) 2010 Arzel Jrme <myst6re@gmail.com>
 **
 ** This program is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ****************************************************************************/

#ifndef DEF_PERSOEDITOR
#define DEF_PERSOEDITOR

#include <QtGui>
#include "Data.h"
#include "Config.h"
#include "SaveData.h"
#include "SpinBoxDelegate.h"

class PersoEditor : public QWidget
{
	Q_OBJECT
public:
	PersoEditor(QWidget *parent=0);
	void load(MAIN *data, HEADER *descData);
	void savePage();
	void updateMode();

private slots:
	void niv_S(int value);
	void exp_S(double value);
	void LBindicatorChange(int state);
	void LBautoChange(int state);
	void updateCompLabels();
	void fillPage(int row=0);

private:
	void buildWidget();
	QWidget *buildPage1();
	QWidget *buildPage2();
	QWidget *buildPage3();
	QWidget *buildPage4();
	QWidget *buildPage5();
	void buildPage6();

	quint8 id;
	MAIN *data;
	HEADER *descData;
	PERSONNAGES *perso_data;

	QListWidget *persoListe;
	QWidget *lbWidget;
	QTabWidget *tabWidget;

	QCheckBox *existsE;
	QLineEdit *nameE;
	QDoubleSpinBox *expE;
	QSpinBox *current_HPsE, *nivE;

	QGroupBox *bonus_E;
	QSpinBox *HPs_E, *vgr_E, *dfs_E, *mgi_E, *psy_E, *vts_E, *chc_E;

	QSpinBox *kills_E;
	QSpinBox *kos_E;
	QComboBox *id_E;
	QComboBox *weapon_E;

	QGroupBox *status_E;
	QList<QCheckBox *> status_list_E;

	QGroupBox *inconnu_E;
	QLabel *inconnu1_label_E;
	QSpinBox *inconnu1_E, *inconnu2_E, *inconnu3_E, *inconnu4_E, *inconnu5_E, *inconnu6_E;
	QSpinBox *alternativeE;
	QCheckBox *lock1E, *lock2E;

	QList<QCheckBox *> poss_E;
	QList<QSpinBox *> comp_E;
	QList<QLabel *> compLabel_E;

	QTreeView *magie_E_view;
	QStandardItemModel *magie_E_model;

	QComboBox *commande1_E;
	QComboBox *commande2_E;
	QComboBox *commande3_E;
	QComboBox *ability1_E;
	QComboBox *ability2_E;
	QComboBox *ability3_E;
	QComboBox *ability4_E;

	QList<QComboBox *> aptitude_E;
	QList<QComboBox *> element_E;
	QList<QComboBox *> mental_E;
	QList<QCheckBox *> LB_E;
	QLineEdit *angel_E;
	QCheckBox *angel_disabledE, *a_wing_enabledE;
	QList<QSpinBox *> linoaLB_E;
	QSlider *LBindicator_E;
};

#endif
