/****************************************************************************
 **
 ** Copyright (C) 2010 Arzel Jrme <myst6re@gmail.com>
 **
 ** This program is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** This program is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ****************************************************************************/

#ifndef DEF_WINDOW
#define DEF_WINDOW

#include <QtGui>
#include "Savecard.h"
#include "Editor.h"
#include "Parametres.h"

#define SLOT1	1
#define SLOT2	2

class Window : public QWidget
{
    Q_OBJECT
public:
	Window();
	~Window();

	void openFile(QString path);

public slots:
	void editView(SaveData *saveData);

private slots:
	void saveView();
	void slot1();
	void slot2();
	void open(quint8=0);// 0 => File, 1 => slot1, 2=> slot2
	void closeFile();
	void openRecentFile(QAction*);
	void save();
	bool saveAs();
	void mode(bool);
	void change_frame(QAction *);
	void font(bool);
	void change_language(QAction *);
	void a_propos();

private:
	void fillMenuRecent();
	void restart_now();

	void setTitle(const bool editor=false);
	QList<int> selectSavesDialog(bool multiSelection=false);
	
	QMenuBar *menuBar;
	QAction *actionSaveAs, *actionClose, *actionMode, *actionFont;
	QMenu *menuRecent, *menuFrame, *menuLang;
	QStackedLayout *stackedLayout;
	Savecard *saves;
	QListWidget *blackView;
	Editor *editor;
	quint8 currentSaveEdited;
	bool isPCSlot;
	bool isOpen;

protected:
	void showEvent(QShowEvent *);
	void closeEvent(QCloseEvent *);
	void dragEnterEvent(QDragEnterEvent *);
	void dropEvent(QDropEvent *);
};

#endif
